package main

import (
	"cicv-data-closedloop/kinglong_msgs"
	"fmt"
)

func Topic() string {
	return "/cicv_location"
}

func Label() string {
	return "brake"
}

func Rule(data *kinglong_msgs.PerceptionLocalization) string {
	fmt.Println("当前减速度为：", data.AccelX)
	if data.AccelX*9.8 < -5.0 {
		return "brake"
	} else {
		return ""
	}
}
